'use strict';

const http = require('http');

const port = process.env.NOMAD_PORT_http ? process.env.NOMAD_PORT_http : '3000';

function writeResponse(params) {

    let content_type = 'text/plain; charset=utf-8';

    if (params.status !== 200) {
        params.body = JSON.stringify({
            'message': params.body,
            'status': params.status,
        });
        content_type = 'application/json; charset=utf-8';
    }

    params.res.writeHead(params.status, Object.assign({
        'Content-Length': Buffer(params.body).length,
        'Content-Type': content_type,
    }, params.headers ? params.headers : {}));

    params.res.end(params.body);

}


let handleRequest = function(req, res){
        writeResponse({
                'res': res,
                'status': 200,
                'body': "pong" });

}

//Create a server
let server = http.createServer(handleRequest);

//The url we want is: 'www.random.org/integers/?num=1&min=1&max=10&col=1&base=10&format=plain&rnd=new'
let options = {
  host: 'httpbin.org',
  path: '/status/418'
};

let callback = function(response) {
  var str = '';

  //another chunk of data has been recieved, so append it to `str`
  response.on('data', function (chunk) {
    str += chunk;
  });

  //the whole response has been recieved, so we just print it out here
  response.on('end', function () {
    console.log(str);
  });
}

setInterval(function(){
        http.request(options, callback).end();

},100);

console.log(`PORT ${port}`);

process.exit(1)

//Lets start our server
server.listen(port);
